View a markdown version of this page

StartDependencyInsights - Next generation Resilience Hub

StartDependencyInsights

Starts generating dependency insights for a service. Generation runs asynchronously; the response returns the initial status, and you retrieve the results with GetDependencyInsights. To use this operation, you must have the resiliencehub:StartDependencyInsights permission on the service.

Request Syntax

POST /v2/start-dependency-insights HTTP/1.1 Content-type: application/json { "clientToken": "string", "serviceArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

clientToken

Idempotency token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 63.

Pattern: [A-Za-z0-9_.-]{0,63}

Required: No

serviceArn

ARN identifier.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Response Syntax

HTTP/1.1 202 Content-type: application/json { "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

status

The status of the dependency insights generation. Valid values:

  • IN_PROGRESS - Insights generation is in progress.

  • COMPLETED - Insights generation completed successfully.

  • FAILED - Insights generation failed. Call GetDependencyInsights for the error code and message.

Type: String

Valid Values: IN_PROGRESS | COMPLETED | FAILED

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

ConflictException

Conflict — resource already exists.

HTTP Status Code: 409

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ThrottlingException

Too many requests — rate limit exceeded.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 429

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: